Bug 967474 - Not able to find instance based sub pool(virtual subscription ) for Guest.
Not able to find instance based sub pool(virtual subscription ) for Guest.
Status: CLOSED WORKSFORME
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: subscription-manager (Show other bugs)
5.10
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: William Poteat
IDM QE LIST
:
Depends On:
Blocks: rhsm-rhel510
  Show dependency treegraph
 
Reported: 2013-05-27 04:51 EDT by spandey
Modified: 2015-04-23 19:57 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-05 03:06:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description spandey 2013-05-27 04:51:48 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Prerequisites : 
Host : 
Rhel6.4 host with following subsciption-manager rpm 
subscription-manager-firstboot-1.8.8-1.git.10.f718984.el6.x86_64
subscription-manager-1.8.8-1.git.10.f718984.el6.x86_64
subscription-manager-migration-1.8.8-1.git.10.f718984.el6.x86_64
subscription-manager-migration-data-1.12.2.6-1.git.0.171d4c3.el6.noarch
subscription-manager-gui-1.8.8-1.git.10.f718984.el6.x86_64

Guest:
 Rhel5.10 with following subscription-manager rpm 
subscription-manager-1.8.8-1.git.15.ffd54fc.el5
subscription-manager-firstboot-1.8.8-1.git.15.ffd54fc.el5
subscription-manager-migration-1.8.8-1.git.15.ffd54fc.el5
subscription-manager-migration-data-1.11.3.1-1.git.1.78afd75.el5
subscription-manager-gui-1.8.8-1.git.15.ffd54fc.el5

Steps to Repro : 
Register host to candlepin and subscribe instance based subscription. 
Now register guest to candlepin and list avail subscription 


Expected Result : 
Instanced based virtual pool should be available in avail list for guest machine .

Actual Result : 
Not able to find “instance based subscription” virtual pool for Guest
Comment 1 William Poteat 2013-06-03 15:14:05 EDT
Please retest and ensure that physical pool is not dated in the future, that the owner is correct for both consumers, and that the proper guest record exists.


I tested against current source of both projects. It seems to work.
Comment 2 spandey 2013-06-04 04:32:10 EDT
Host Info

uname.nodename: dhcp201-196.englab.pnq.redhat.com
uname.release: 2.6.32-358.el6.x86_64
uname.sysname: Linux
uname.version: #1 SMP Tue Jan 29 11:47:41 EST 2013
virt.host_type: Not Applicable
virt.is_guest: False
[root@dhcp201-196 sm]# subscription-manager identity
Current identity is: b16bba4b-ec29-45aa-b107-4d75771826b4
name: dhcp201-196.englab.pnq.redhat.com
org name: Admin Owner
org ID: admin
[root@dhcp201-196 sm]# subscription-manager list --consumed
+-------------------------------------------+
   Consumed Subscriptions
+-------------------------------------------+
Subscription Name: Awesome OS Instance Based (Standard Support)
Provides:          Awesome OS Instance Server Bits
SKU:               awesomeos-instancebased
Contract:          43
Account:           12331131231
Serial:            504605897041486407
Pool ID:           000000003f0daf40013f0db035ad04e7
Active:            True
Quantity Used:     2
Service Level:     Standard
Service Type:      L1-L3
Status Details:    
Starts:            06/04/2013
Ends:              06/04/2014


Guest Info : 

system.name: dhcp201-162.englab.pnq.redhat.com
system.uuid: 296d68dd-16b2-4685-9a51-f5a06cff21c5
uname.machine: x86_64
uname.nodename: dhcp201-162.englab.pnq.redhat.com
uname.release: 2.6.18-348.el5
uname.sysname: Linux
uname.version: #1 SMP Wed Nov 28 21:22:00 EST 2012
virt.host_type: kvm
virt.is_guest: True
virt.uuid: 3904e032-6e8c-1750-1c1a-1f4f156b7eaa
[root@dhcp201-162 ~]# subscription-manager identity
Current identity is: 296d68dd-16b2-4685-9a51-f5a06cff21c5
name: dhcp201-162.englab.pnq.redhat.com
org name: Admin Owner
org ID: admin


Still not able to find virtual "instance based subscription" pool for guest. 


Setup info : 
Host : 10.65.201.196 
user/password : root/redhat

guest : 10.65.201.162
user/password : root/redhat
Comment 3 William Poteat 2013-06-04 10:14:48 EDT
curl -k -u admin:admin "https://10.65.201.115:8443/candlepin/consumers/b16bba4b-ec29-45aa-b107-4d75771826b4" | grep guestIds


The host you listed does not have any guest ids.

you should see "guestIds":["3904e032-6e8c-1750-1c1a-1f4f156b7eaa"]
Comment 4 spandey 2013-06-05 03:06:06 EDT
This was virt-who issue , 
Virt-who service was stopped at my Host, so i was getting this issue

Note You need to log in before you can comment on or make changes to this bug.